## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global libname liboscillator-disciplining
%global _description %{expand:
Library providing C disciplining algorithm used with oscillatord to discipling
oscillators using the minipod algorithm developed by Matthias Lorentz.}

Name:           disciplining-minipod
Version:        2.1.0
Release:        %autorelease
Summary:        Disciplining algorithm for Atomic Reference Time Card

License:        LGPLv2
URL:            https://github.com/Orolia2s/disciplining-minipod
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  sed

%description    %{_description}

%package -n     %{libname}
Summary:        %{summary}

%description -n %{libname} %{_description}

%package -n     %{libname}-devel
Summary:        Development files for %{libname}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libname}-devel
This package contains development headers and files for %{libname}.

%prep
%autosetup -p1
# Drop forced optimization flag
sed -i 's/-O3//' CMakeLists.txt
# Do not install static library
sed -i 's/^install.*-static.*$//' src/CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%check
pushd test
%set_build_flags
%if 0%{?el8}
export CC="%{__cc}"
%endif
for t in test-utils test-minipod-lib; do
  %make_build \
    C="$CC" \
    CPPFLAGS="$CFLAGS -I%{buildroot}%{_includedir}" \
    LDLIBS="$LDFLAGS -L%{buildroot}%{_libdir} -lm -loscillator-disciplining" \
    $t
  LD_LIBRARY_PATH=%{buildroot}%{_libdir} ./$t
done

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{libname}.so.2*

%files -n %{libname}-devel
%{_includedir}/oscillator-disciplining
%{_libdir}/%{libname}.so
%{_libdir}/pkgconfig/%{libname}.pc

%changelog
* Fri Mar 25 2022 Alexander Bulimov <abulimov@fedoraproject.org> 2.1.0-1
- Update to v2.1.0

* Fri Mar 25 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Mar 25 2022 Alexander Bulimov <abulimov@fedoraproject.org> 1.3.0-1
- Update to v1.3.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 18 2021 Alexander Bulimov <alexander.bulimov@gmail.com> 1.2.0-1
- Update to v1.2.0

* Tue Aug 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> 1.0.1-2
- Ensure the CC env variable is set on el8

* Tue Aug 17 2021 Davide Cavalca <dcavalca@fedoraproject.org> 1.0.1-1
- Initial import; Fixes: RHBZ#1992232
